Change a participant's surname

09/12/2021 13:53 - Phatsimo Modiitsane

Status: Resolved Start date: 09/12/2021

Priority: Urgent Due date:

Assignee: moffat motlhanka % Done: 0%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

Change surname of participant of the following PID: 150-044960012-9

History

#1 - 14/12/2021 17:21 - moffat motlhanka

- Status changed from New to Feedback

Can you provide me with participant new surname

#2 - 21/01/2022 08:45 - moffat motlhanka

- Status changed from Feedback to Resolved
